<?php

use WpBookingHotel\Factory;
use WpBookingHotel\Mvc\Model\Model as ModelAlias;
use WpBookingHotel\Utilities\Utility;
use WpBookingHotel\Html\WpBookingHotelHtmlBackend as WpBookingHotelHtmlBackendAlias;
use WpBookingHotel\Language\Text;
defined('_WPBOOKINGHOTEL_EXEC') or die;
extract($displayData);

WpBookingHotelHtmlBackendAlias::load_jquery_library('auto_numeric');



$doc = Factory::getDocument();
$orderstatusModel= ModelAlias::getInstance('orderstatuss');
$list=$orderstatusModel->getList();
$id_by_name = "element_field_". $name;
?>
    <div id="<?php echo (esc_attr($id_by_name)) ?>" class="field-orderstatus">
        <div class="wrapper-orderstatus">
            <select class="orderstatus" name="<?php echo (esc_attr($name)); ?>">
                <?php foreach ($list as $item){ ?>
                    <option <?php echo ($item->id===$value?' selected ':'') ?> value="<?php echo (esc_attr($item->id)); ?>"><?php esc_html_e($item->name,'wpbookinghotel'); ?></option>
                <?php } ?>
            </select>
        </div>
    </div>
<?php
$doc->addScriptApplySelector("#$id_by_name",'field_orderstatus',array(
    "input_name"=>  $name,
),'admin/app/layouts/WooBooking/form/field/orderstatus/jquery.orderstatus.js');
